//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
	//using UnityEngine;
	using System.Collections;
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	using Common.Utilities; //TEST
	using Core.Api.Service; //TEST
    
    
    public partial class PopupNumberPad
    {
//TEST
		
		ISecurityServiceCF securityService;
	
		private ISecurityServiceCF  SecurityService
		{
			get
			{
				if (securityService == null)
				{
					securityService = ServiceContainerCF.GetServiceSafe<ISecurityServiceCF>();
				}
				return securityService;
			}
		}
//END TEST
		string ptPassword;
		void Button0_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "0";
		}
		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "1";
		}
		
		void Button2_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "2";
		}
		
		void Button3_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "3";
		}
		
		void Button4_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "4";
		}
		
		void ButtonESC_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value = "";
			ptPassword = "";
			Globals.PopupNumberPad.Close();
		}
		
		void ButtonDEL_Click(System.Object sender, System.EventArgs e)
		{
			try{
				if(ptPassword.Length > 0)
					ptPassword = ptPassword.Substring(0, ptPassword.Length - 1);
					Password.Value = ptPassword.Substring(ptPassword.Length).PadLeft(ptPassword.Length, '*');
			}
			catch(Exception){}
		
		}
		
		void ButtonCLS_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value = "";
			ptPassword = "";
		}
		
		void Button9_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "9";
		}
		
		void Button8_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "8";
		}
		
		void Button7_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "7";
		}
		
		void Button6_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "6";
		}
		
		void Button5_Click(System.Object sender, System.EventArgs e)
		{
			Password.Value += "*";
			ptPassword += "5";
		}
		
		void ButtonENTER_Click(System.Object sender, System.EventArgs e)
		{
			try{
				Globals.Tags.PasswordTag.Value = ptPassword;
			}
			catch(Exception){}
//Test			
			var currentUser = Globals.Security.CurrentUser;
			string Password = Globals.Tags.PasswordTag.Value;

			if (Globals.Tags.PasswordTag.Value.String.Length > 0)
			{
				SecurityService.LoginUser(@"User"+Globals.Tags.PasswordTag.Value.String, Globals.Tags.PasswordTag.Value.String, false);
			}
			
			if(currentUser != Globals.Security.CurrentUser)
				MessageBox.Show("Login OK");
//			else
//				MessageBox.Show("Login failed");
//END Test
			Globals.PopupNumberPad.Close();

			
		}
		
		void ButtonPeek_MouseDown(System.Object sender, System.Windows.Forms.MouseEventArgs e)
		{
			if(ptPassword != null){
				Password.Value = ptPassword;
			}
		}
		
		void ButtonPeek_MouseUp(System.Object sender, System.Windows.Forms.MouseEventArgs e)
		{
			if(ptPassword != null){
				Password.Value = ptPassword.Substring(ptPassword.Length).PadLeft(ptPassword.Length, '*');
			}
		}
		
		void ButtonPeek_MouseLeave(System.Object sender, System.EventArgs e)
		{
			if(ptPassword != null){
				Password.Value = ptPassword.Substring(ptPassword.Length).PadLeft(ptPassword.Length, '*');
			}
		}
		
    }
}
